Skip to content

Поиск прокси​

GET
/v2/proxy/search

ΠŸΠ°Ρ€Π°ΠΌΠ΅Ρ‚Ρ€Ρ‹β€‹

ΠŸΠ°Ρ€Π°ΠΌΠ΅Ρ‚Ρ€Ρ‹ запроса

apiKey

API key passed as a query parameter

Π’ΠΈΠΏstring
country

Country short name

Π’ΠΈΠΏstring
ΠŸΡ€ΠΈΠΌΠ΅Ρ€US
limit

Limit proxies

Π’ΠΈΠΏinteger
ΠŸΡ€ΠΈΠΌΠ΅Ρ€1
types

Proxy types

Π’ΠΈΠΏarray

ΠžΡ‚Π²Π΅Ρ‚Ρ‹β€‹

OK
application/json
JSON
{
"0": "103.66.180.3:35023",
"1": "103.66.180.3:35073",
"success": true
}

ΠŸΡ€ΠΈΠΌΠ΅Ρ€Ρ‹β€‹

cURL
curl -X GET \
'https://api.asocks.com/v2/proxy/search?country=US&limit=1' \
 -H "Content-Type: application/json"
JavaScript
fetch('https://api.asocks.com/v2/proxy/search?country=US&limit=1', {headers:{'Content-Type':'application/json'}})
  .then(response => response.json())
  .then(data => console.log(data));
PHP
<?php
$url = 'https://api.asocks.com/v2/proxy/search';
$method = 'GET';
$headers = [
    'Content-Type' => 'application/json',
];
$query = http_build_query([
    'country' => 'US',
    'limit' => '1',
]);

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url . '?' . $query);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, $method);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
?>
Python
import requests

url = 'https://api.asocks.com/v2/proxy/search'
params = {
    'country': 'US',
    'limit': 1
}
headers = {
    'Content-Type': 'application/json'
}

response = requests.get(url, params=params, headers=headers)
print(response.json())